summaryrefslogtreecommitdiffstats
path: root/source/l
diff options
context:
space:
mode:
Diffstat (limited to 'source/l')
-rwxr-xr-xsource/l/LibRaw/LibRaw.SlackBuild2
-rwxr-xr-xsource/l/dconf-editor/dconf-editor.SlackBuild4
-rw-r--r--source/l/dconf-editor/dconf-editor.ftbfs.diff18
-rw-r--r--source/l/gegl/gegl.LibRaw-0.21.x.diff11
-rwxr-xr-xsource/l/gegl/gegl.SlackBuild5
-rwxr-xr-xsource/l/libhandy/libhandy.SlackBuild110
-rw-r--r--source/l/libhandy/slack-desc19
7 files changed, 146 insertions, 23 deletions
diff --git a/source/l/LibRaw/LibRaw.SlackBuild b/source/l/LibRaw/LibRaw.SlackBuild
index e443301ad..302f7c13a 100755
--- a/source/l/LibRaw/LibRaw.SlackBuild
+++ b/source/l/LibRaw/LibRaw.SlackBuild
@@ -25,7 +25,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=LibRaw
VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-6}
+BUILD=${BUILD:-1}
NUMJOBS=${NUMJOBS:-" -j$(expr $(nproc) + 1) "}
diff --git a/source/l/dconf-editor/dconf-editor.SlackBuild b/source/l/dconf-editor/dconf-editor.SlackBuild
index 88c900fbd..0c09937c8 100755
--- a/source/l/dconf-editor/dconf-editor.SlackBuild
+++ b/source/l/dconf-editor/dconf-editor.SlackBuild
@@ -25,7 +25,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=dconf-editor
VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-2}
+BUILD=${BUILD:-1}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
@@ -78,8 +78,6 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \+
-zcat $CWD/dconf-editor.ftbfs.diff.gz | patch -p1 --verbose || exit 1
-
# Configure, build, and install:
export CFLAGS="$SLKCFLAGS"
export CXXFLAGS="$SLKCFLAGS"
diff --git a/source/l/dconf-editor/dconf-editor.ftbfs.diff b/source/l/dconf-editor/dconf-editor.ftbfs.diff
deleted file mode 100644
index f6d99ba9d..000000000
--- a/source/l/dconf-editor/dconf-editor.ftbfs.diff
+++ /dev/null
@@ -1,18 +0,0 @@
---- ./editor/meson.build.orig 2021-03-23 10:37:37.571719400 -0500
-+++ ./editor/meson.build 2022-02-16 19:13:03.612538392 -0600
-@@ -1,7 +1,6 @@
- desktop = dconf_editor_namespace + '.desktop'
-
- i18n.merge_file (
-- desktop,
- type: 'desktop',
- input: desktop + '.in',
- output: desktop,
-@@ -26,7 +25,6 @@
- appdata = dconf_editor_namespace + '.appdata.xml'
-
- i18n.merge_file(
-- appdata,
- input: appdata + '.in',
- output: appdata,
- po_dir: po_dir,
diff --git a/source/l/gegl/gegl.LibRaw-0.21.x.diff b/source/l/gegl/gegl.LibRaw-0.21.x.diff
new file mode 100644
index 000000000..940895474
--- /dev/null
+++ b/source/l/gegl/gegl.LibRaw-0.21.x.diff
@@ -0,0 +1,11 @@
+--- ./operations/external/raw-load.c.orig 2022-11-13 08:56:59.000000000 -0600
++++ ./operations/external/raw-load.c 2023-01-30 13:46:30.701021311 -0600
+@@ -114,7 +114,7 @@
+ g_warning ("raw-load: Error Initializing raw library");
+ else
+ {
+- p->LibRaw->params.shot_select = o->image_num;
++ p->LibRaw->rawparams.shot_select = o->image_num;
+
+ p->LibRaw->params.aber[0] = 1.0;
+ p->LibRaw->params.aber[2] = 1.0;
diff --git a/source/l/gegl/gegl.SlackBuild b/source/l/gegl/gegl.SlackBuild
index 8f17c84aa..f408b0af7 100755
--- a/source/l/gegl/gegl.SlackBuild
+++ b/source/l/gegl/gegl.SlackBuild
@@ -25,7 +25,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=gegl
VERSION=${VERSION:-$(echo gegl-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-2}
+BUILD=${BUILD:-3}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
@@ -82,6 +82,9 @@ find . \
# later if it causes any unwanted side effects.
zcat $CWD/gegl.no.runtime.dot.check.diff.gz | patch -p1 --verbose || exit 1
+# Patch for LibRaw-0.21.x ABI change:
+zcat $CWD/gegl.LibRaw-0.21.x.diff.gz | patch -p1 --verbose || exit 1
+
# Configure, build, and install:
export CFLAGS="$SLKCFLAGS"
export CXXFLAGS="$SLKCFLAGS"
diff --git a/source/l/libhandy/libhandy.SlackBuild b/source/l/libhandy/libhandy.SlackBuild
new file mode 100755
index 000000000..814b8a1ee
--- /dev/null
+++ b/source/l/libhandy/libhandy.SlackBuild
@@ -0,0 +1,110 @@
+#!/bin/bash
+# Copyright 2023 Patrick J. Volkerding, Sebeka, MN, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PKGNAM=libhandy
+VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
+BUILD=${BUILD:-1}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PKGNAM-$VERSION-$ARCH-$BUILD.txz"
+ exit 0
+fi
+
+NUMJOBS=${NUMJOBS:-" -j$(expr $(nproc) + 1) "}
+
+TMP=${TMP:-/tmp}
+PKG=$TMP/package-$PKGNAM
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG
+cd $TMP
+rm -rf $PKGNAM-$VERSION
+tar xvf $CWD/$PKGNAM-$VERSION.tar.?z || exit 1
+cd $PKGNAM-$VERSION || exit 1
+
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \+ -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \+
+
+# Configure, build, and install:
+export CFLAGS="$SLKCFLAGS"
+export CXXFLAGS="$SLKCFLAGS"
+mkdir meson-build
+cd meson-build
+meson setup \
+ --prefix=/usr \
+ --libdir=lib${LIBDIRSUFFIX} \
+ --libexecdir=/usr/libexec \
+ --bindir=/usr/bin \
+ --sbindir=/usr/sbin \
+ --includedir=/usr/include \
+ --datadir=/usr/share \
+ --mandir=/usr/man \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --buildtype=release \
+ -Dtests=false \
+ -Dexamples=false \
+ .. || exit 1
+ "${NINJA:=ninja}" $NUMJOBS || exit 1
+ DESTDIR=$PKG $NINJA install || exit 1
+cd ..
+
+mkdir -p $PKG/usr/doc/$PKGNAM-$VERSION
+cp -a \
+ AUTHORS* COPYING* HACKING* NEWS* README* \
+ $PKG/usr/doc/$PKGNAM-$VERSION
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $TMP/$PKGNAM-$VERSION-$ARCH-$BUILD.txz
diff --git a/source/l/libhandy/slack-desc b/source/l/libhandy/slack-desc
new file mode 100644
index 000000000..663cadc06
--- /dev/null
+++ b/source/l/libhandy/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+libhandy: libhandy (additional GTK UI widgets)
+libhandy:
+libhandy: The libhandy package provides additional GTK UI widgets for use in
+libhandy: developing user interfaces scaling from desktop workstations to mobile
+libhandy: phones.
+libhandy:
+libhandy:
+libhandy:
+libhandy:
+libhandy:
+libhandy: